Skip to main content
GET
/
library
/
{libraryId}
/
videos
/
{videoId}
/
play
Get Video play data
curl --request GET \
  --url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/play
{
  "video": {
    "videoLibraryId": 123,
    "guid": "<string>",
    "title": "<string>",
    "dateUploaded": "2023-11-07T05:31:56Z",
    "views": 123,
    "isPublic": true,
    "length": 123,
    "framerate": 123,
    "width": 123,
    "height": 123,
    "outputCodecs": "<string>",
    "thumbnailCount": 123,
    "encodeProgress": 123,
    "storageSize": 123,
    "hasMP4Fallback": true,
    "averageWatchTime": 123,
    "totalWatchTime": 123,
    "description": "<string>",
    "rotation": 123,
    "availableResolutions": "<string>",
    "captions": [
      {
        "srclang": "<string>",
        "label": "<string>",
        "version": 123
      }
    ],
    "collectionId": "<string>",
    "thumbnailFileName": "<string>",
    "thumbnailBlurhash": "<string>",
    "category": "<string>",
    "chapters": [
      {
        "title": "<string>",
        "start": 123,
        "end": 123
      }
    ],
    "moments": [
      {
        "label": "<string>",
        "timestamp": 123
      }
    ],
    "metaTags": [
      {
        "property": "<string>",
        "value": "<string>"
      }
    ],
    "transcodingMessages": [
      {
        "timeStamp": "2023-11-07T05:31:56Z",
        "message": "<string>",
        "value": "<string>"
      }
    ],
    "jitEncodingEnabled": true,
    "hasOriginal": true,
    "originalHash": "<string>",
    "hasHighQualityPreview": true
  },
  "libraryName": "<string>",
  "captionsPath": "<string>",
  "seekPath": "<string>",
  "thumbnailUrl": "<string>",
  "fallbackUrl": "<string>",
  "videoPlaylistUrl": "<string>",
  "originalUrl": "<string>",
  "previewUrl": "<string>",
  "controls": "<string>",
  "enableDRM": true,
  "drmVersion": 123,
  "playerKeyColor": "<string>",
  "vastTagUrl": "<string>",
  "viAiPublisherId": "<string>",
  "captionsFontSize": 123,
  "captionsFontColor": "<string>",
  "captionsBackground": "<string>",
  "uiLanguage": "<string>",
  "allowEarlyPlay": true,
  "tokenAuthEnabled": true,
  "enableMP4Fallback": true,
  "showHeatmap": true,
  "fontFamily": "<string>",
  "playbackSpeeds": "<string>",
  "widevineMinClientSecurityLevel": 123,
  "zoneTier": 123,
  "isPlayable": true,
  "isPlaylistPlayable": true,
  "rememberPlayerPosition": true,
  "customCss": "<string>",
  "exposeVideoMetadata": true,
  "enableCompactControls": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.bunny.net/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

libraryId
integer<int64>
required
videoId
string
required

Query Parameters

token
string | null
default:""
expires
integer<int64>
default:0

Response

The play data of the requested video

video
object

Video data.

libraryName
string | null
captionsPath
string | null
seekPath
string | null
thumbnailUrl
string | null
fallbackUrl
string | null
videoPlaylistUrl
string | null
originalUrl
string | null
previewUrl
string | null
controls
string | null
enableDRM
boolean
drmVersion
integer<int32>
playerKeyColor
string | null
vastTagUrl
string | null
viAiPublisherId
string | null
captionsFontSize
integer<int32>
captionsFontColor
string | null
captionsBackground
string | null
uiLanguage
string | null
allowEarlyPlay
boolean
tokenAuthEnabled
boolean
enableMP4Fallback
boolean
showHeatmap
boolean
fontFamily
string | null
playbackSpeeds
string | null
widevineMinClientSecurityLevel
integer<int32> | null
zoneTier
integer<int32> | null
isPlayable
boolean

Determines if the video is currently playable using either playlist or original source.

isPlaylistPlayable
boolean

Determines if the HLS playlist is currently playable.

preferredPlaybackSource

Preferred playback source for the current video state.

Available options:
None
rememberPlayerPosition
boolean
customCss
string | null
exposeVideoMetadata
boolean
enableCompactControls
boolean